Help us shape the future of Go! Take the 2026 Go Developer Survey

endpoints

package
v0.21.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Apr 28, 2022 License: MIT Imports: 4 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type EndpointsRequestBuilder

type EndpointsRequestBuilder struct {
	// contains filtered or unexported fields
}

EndpointsRequestBuilder provides operations to manage the endpoints property of the microsoft.graph.printService entity.

func NewEndpointsRequestBuilder

NewEndpointsRequestBuilder instantiates a new EndpointsRequestBuilder and sets the default values.

func NewEndpointsRequestBuilderInternal

func NewEndpointsRequestBuilderInternal(pathParameters map[string]string, requestAdapter i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestAdapter) *EndpointsRequestBuilder

NewEndpointsRequestBuilderInternal instantiates a new EndpointsRequestBuilder and sets the default values.

func (*EndpointsRequestBuilder) Count added in v0.13.0

Count the count property

func (*EndpointsRequestBuilder) CreateGetRequestInformation

CreateGetRequestInformation endpoints that can be used to access the service. Read-only. Nullable.

func (*EndpointsRequestBuilder) CreatePostRequestInformation

CreatePostRequestInformation create new navigation property to endpoints for print

func (*EndpointsRequestBuilder) Get

Get endpoints that can be used to access the service. Read-only. Nullable.

func (*EndpointsRequestBuilder) Post

Post create new navigation property to endpoints for print

type EndpointsRequestBuilderGetOptions

type EndpointsRequestBuilderGetOptions struct {
	// Request headers
	Headers map[string]string
	// Request options
	Options []i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestOption
	// Request query parameters
	QueryParameters *EndpointsRequestBuilderGetQueryParameters
	// Response handler to use in place of the default response handling provided by the core service
	ResponseHandler i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.ResponseHandler
}

EndpointsRequestBuilderGetOptions options for Get

type EndpointsRequestBuilderGetQueryParameters

type EndpointsRequestBuilderGetQueryParameters struct {
	// Include count of items
	Count *bool `uriparametername:"%24count"`
	// Expand related entities
	Expand []string `uriparametername:"%24expand"`
	// Filter items by property values
	Filter *string `uriparametername:"%24filter"`
	// Order items by property values
	Orderby []string `uriparametername:"%24orderby"`
	// Search items by search phrases
	Search *string `uriparametername:"%24search"`
	// Select properties to be returned
	Select []string `uriparametername:"%24select"`
	// Skip the first n items
	Skip *int32 `uriparametername:"%24skip"`
	// Show only the first n items
	Top *int32 `uriparametername:"%24top"`
}

EndpointsRequestBuilderGetQueryParameters endpoints that can be used to access the service. Read-only. Nullable.

type EndpointsRequestBuilderPostOptions

type EndpointsRequestBuilderPostOptions struct {
	//
	Body iadcd81124412c61e647227ecfc4449d8bba17de0380ddda76f641a29edf2b242.PrintServiceEndpointable
	// Request headers
	Headers map[string]string
	// Request options
	Options []i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.RequestOption
	// Response handler to use in place of the default response handling provided by the core service
	ResponseHandler i2ae4187f7daee263371cb1c977df639813ab50ffa529013b7437480d1ec0158f.ResponseHandler
}

EndpointsRequestBuilderPostOptions options for Post

Directories

Path Synopsis

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL